/* propensities.h */

/* J. Cullhed 2008-06-18. */

#ifndef PROPENSITIES__H
#define PROPENSITIES__H

/* Definition of the propensity list type. */
typedef double (*PropensityFun)(const int *, double, const double *, int);

/* Declaration of allocation and deallocation of propensity list. */
PropensityFun *ALLOC_propensities(void);
void FREE_propensities(PropensityFun* ptr);

#endif /* PROPENSITIES__H */
