%BISTAB Model file for the bistable example.

% A. Hellander 2008-12-15

%Stoichiometry
N=zeros(8,12);
N(1,1)=1;
N(2,2)=1;
N([2 3 5],3)=[-1 -1 1];
N(:,4)=-N(:,3);
N([1 4 6],5)=[-1 -1 1];
N(:,6)=-N(:,5);
N([2 5 7],7)=[-1 -1 1];
N(:,8)=-N(:,7);
N([1 6 8],9)=[-1 -1 1];
N(:,10)=-N(:,9);
N(1,11)=-1;
N(2,12)=-1;

N=sparse(-N);

%Dependency graph
G = [0     0     1     0     0     0     0     0     0     0     1     1     0     0     0     0     0     0     0     0;
     0     0     0     1     0     0     0     0     0     0     0     0     1     1     0     0     0     0     0     0;
     0     1     1     0     0     0     0     0     0     1     1     1     0     0     1     1     0     0     0     1;
     0     0     0     0     1     0     0     0     0     0     1     1     0     0     1     1     0     0     0     0;
     1     0     0     1     0     0     0     0     1     0     0     0     1     1     0     0     1     1     1     0;
     0     0     0     0     0     1     0     0     0     0     0     0     1     1     0     0     1     1     0     0;
     0     1     0     0     1     0     0     0     0     1     1     1     0     0     1     1     0     0     0     1;
     0     0     0     0     0     0     1     0     0     0     0     0     0     0     1     1     0     0     0     0;
     1     0     0     0     0     1     0     0     1     0     0     0     1     1     0     0     1     1     1     0;
     0     0     0     0     0     0     0     1     0     0     0     0     0     0     0     0     1     1     0     0;
     1     0     0     0     0     0     0     0     1     0     0     0     1     1     0     0     1     1     1     0;
     0     1     0     0     0     0     0     0     0     1     1     1     0     0     1     1     0     0     0     1];
G=sparse(G);
